%define anolis_release 1
%global pypi_name moviepy
%global pypi_version 1.0.3

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        Video editing with Python

License:        MIT License
URL:            https://zulko.github.io/moviepy/
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(decorator) >= 4.0.2
BuildRequires:  python3dist(imageio) >= 2.5
BuildRequires:  python3dist(imageio-ffmpeg) >= 0.2
BuildRequires:  python3dist(matplotlib) >= 2
BuildRequires:  python3dist(numpy) >= 1.17.3
BuildRequires:  python3dist(opencv) >= 3
BuildRequires:  python3dist(proglog)
BuildRequires:  python3dist(requests) >= 2.8.1
BuildRequires:  python3dist(scikit-image) >= 0.13
BuildRequires:  python3dist(scikit-learn)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(tqdm) >= 4.11.2

BuildRequires:  python3dist(numpydoc)
BuildRequires:  python3dist(sphinx-rtd-theme)
BuildRequires:  python3dist(sphinx)

%description
MoviePy is a Python module for video editing, which can be used for basic operations (like cuts, 
concatenations, title insertions), video compositing (a.k.a. non-linear editing), video processing, 
or to create advanced effects. It can read and write the most common video formats, including GIF.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(decorator) >= 4.0.2
Requires:       python3dist(imageio) >= 2.5
Requires:       python3dist(imageio-ffmpeg) >= 0.2
Requires:       python3dist(matplotlib) >= 2
Requires:       python3dist(numpy) >= 1.17.3
Requires:       python3dist(opencv) >= 3
Requires:       python3dist(proglog)
Requires:       python3dist(requests) >= 2.8.1
Requires:       python3dist(scikit-image) >= 0.13
Requires:       python3dist(scikit-learn)
Requires:       python3dist(tqdm) >= 4.11.2

%description -n python3-%{pypi_name}
MoviePy is a Python module for video editing, which can be used for basic operations (like cuts, 
concatenations, title insertions), video compositing (a.k.a. non-linear editing), video processing, 
or to create advanced effects. It can read and write the most common video formats, including GIF.

%package -n python-%{pypi_name}-doc
Summary:        moviepy documentation
%description -n python-%{pypi_name}-doc
Documentation for moviepy

%prep
%autosetup -n %{pypi_name}-%{pypi_version}
sed -i '/decorator/d' setup.py
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build
# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

%files -n python3-%{pypi_name}
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%files -n python-%{pypi_name}-doc
%doc html


%changelog
* Mon Feb 19 2024 zhongling.h <zhonglingh@linux.alibaba.com> - 1.0.3-1
- Initial package.